Debian Bug report logs - #647877
ITP: superkb -- Keyboard-based launcher with unobtrusive

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Octavio Alvarez <alvarezp@alvarezp.ods.org>

Date: Mon, 7 Nov 2011 08:00:02 UTC

Owned by: "Octavio Alvarez" <alvarezp@alvarezp.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#647877; Package wnpp. (Mon, 07 Nov 2011 08:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Octavio Alvarez <alvarezp@alvarezp.ods.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 07 Nov 2011 08:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Octavio Alvarez <alvarezp@alvarezp.ods.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.
Date: Sun, 06 Nov 2011 23:56:48 -0800
Package: wnpp
Severity: wishlist
Owner: Octavio Alvarez <alvarezp@alvarezp.ods.org>

* Package name    : superkb
  Version         : 0.22
  Upstream Author : Octavio Alvarez <alvarezp@alvarezp.ods.org>
* URL             : http://superkb.sourceforge.net/
* License         : GPLv2
  Programming Lang: C
  Description     : Keyboard-based launcher with unobtrusive on-screen graphical hints.

Hi. This is a program I wrote to enable key bindings to work with the
Super key. Holding down the Super key for N seconds shows a keyboard
on screen with hints about available bound keys. Configuration is
stored in a flat text file. You can bind arbitrary scripts to your
keys.

It has been helpful to me because I can easily replicate my bindings
to another PC and, so I have my keyboard full of shortcuts, I can
check them when in doubt.

The Super key is not fixed, so you can use any "magic" key in laptops
that don't have the key (like the T42) without losing it.

I am also learning to package for Debian. I am very willing to learn
and become a maintainer in the near future, and potentially a developer.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Octavio Alvarez <alvarezp@alvarezp.ods.org>:
Bug#647877; Package wnpp. (Mon, 27 May 2013 13:28:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Octavio Alvarez <alvarezp@alvarezp.ods.org>. (Mon, 27 May 2013 13:28:23 GMT) Full text and rfc822 format available.

Message #10 received at 647877@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 647877@bugs.debian.org
Cc: control@bugs.debian.org
Subject: superkb: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:18 +0200
retitle 647877 RFP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.
noowner 647877
tag 647877 - pending
thanks

Hi,

This is an automatic email to change the status of superkb back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting superkb, please send a mail to
<control@bugs.debian.org> with:

 retitle 647877 ITP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.
 owner 647877 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <647877@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.' from 'ITP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:30:46 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Octavio Alvarez <alvarezp@alvarezp.ods.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:30:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#647877; Package wnpp. (Wed, 17 Jul 2013 01:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Octavio Alvarez" <alvarezp@alvarezp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Jul 2013 01:12:04 GMT) Full text and rfc822 format available.

Message #19 received at 647877@bugs.debian.org (full text, mbox):

From: "Octavio Alvarez" <alvarezp@alvarezp.com>
To: 647877@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.
Date: Tue, 16 Jul 2013 18:04:44 -0700
retitle 647877 ITP: superkb -- Keyboard-based launcher with unobtrusive  
on-screen graphical hints.
owner 647877 !
thanks

I am attempting once again to package it. This time I have already
uploaded a version to mentors.debian.net. It can be found at the
following URL:
 * http://mentors.debian.net/package/superkb

I think it's ready. I will request sponsorship for this package.

There were some caveats on release 0.22 that required some patching
of the upstream code. These changes will be incorporated in the
next release of the program.

-- 
Octavio.



Changed Bug title to 'ITP: superkb -- Keyboard-based launcher with unobtrusive' from 'RFP: superkb -- Keyboard-based launcher with unobtrusive on-screen graphical hints.' Request was from "Octavio Alvarez" <alvarezp@alvarezp.com> to control@bugs.debian.org. (Wed, 17 Jul 2013 01:12:06 GMT) Full text and rfc822 format available.

Owner recorded as "Octavio Alvarez" <alvarezp@alvarezp.com>. Request was from "Octavio Alvarez" <alvarezp@alvarezp.com> to control@bugs.debian.org. (Wed, 17 Jul 2013 01:12:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 647877: 717123 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 04:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Octavio Alvarez" <alvarezp@alvarezp.com>:
Bug#647877; Package wnpp. (Sun, 21 Jul 2013 04:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Octavio Alvarez" <alvarezp@alvarezp.ods.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Octavio Alvarez" <alvarezp@alvarezp.com>. (Sun, 21 Jul 2013 04:03:08 GMT) Full text and rfc822 format available.

Message #30 received at 647877@bugs.debian.org (full text, mbox):

From: "Octavio Alvarez" <alvarezp@alvarezp.ods.org>
To: 717123@bugs.debian.org, 647877@bugs.debian.org
Subject: Re: Bug#717123: RFS: superkb/0.22-5 [ITP #647877] -- keyboard launcher with on-screen hints
Date: Sat, 20 Jul 2013 20:53:11 -0700
Hi.

I uploaded a new version for Superkb, the package for which I'm trying to
get sponsorship.

The new version is 0.22-5 and this is what I changed:

superkb (0.22-5) unstable; urgency=low

* Added lintian override for no-upstream-changelog, because it is not
    in English and this has been fixed upstream. Next upstream release
    will properly include a changelog and this override will be removed.
* Fixed man page invocation to help2man for proper text in the NAME
    section.
* Moved sample-config/superkbrc to debian/ and removed the patch.
* Include sample config files under /usr/share/doc/superkb/sample-config.
* Improved man page superkb.1.

So, technically, the package has no more lintian --pedantic warnings
unattended, and hopefully the next upstream version will have most patches
directly incorporated (because upstream is me) so the package will become
simpler in the future.

Even though I'm asking for sponsorship, I'd really appreciate a review
even if it's not sponsored.

Thanks in advance.

Octavio.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:15:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.